function onAdd(name){
    ggbApplet.unregisterAddListener("onAdd");
    ggbApplet.setVisible("clickequil",false);
    ggbApplet.setVisible("button9",true)
    ggbApplet.setMode(0);
    var x1=ggbApplet.getXcoord(name);
    ggbApplet.setValue("x1",x1);
    ggbApplet.deleteObject(name);

    var Ntries=100;
    var tolabs=1E-16;
    var tolrel=1E-12;

    var success=false;
    var fx1;
    var fpx1;
    var x2=x1*1000+1000

    for (var i = 0; i < Ntries; i++) {
       fx1=ggbApplet.getValue("fmx1");
       fpx1=ggbApplet.getValue("fpmx1");
  
       if(Math.abs(x1-x2)<tolabs+tolrel*Math.abs(x1)) {
           success=true;
           break;
       }      
       x2 = x1;
       x1 = x2 - fx1/fpx1;
       ggbApplet.setValue("x1",x1);
  }
   if(success) {
      fx1=ggbApplet.getValue("fmx1");
      ggbApplet.setValue("E",x1);
      ggbApplet.setValue("foundequil",1);
   }
   else {
      alert("Failed to find equilibrium");
   }
}


function ggbOnInit() {}
